using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
namespace LD20_Game
{
    class Ladder
    {
        const int LadderWidth = 53;
        const int LadderHeight = 171;
        const int LadderOverhead = 20;

        Vector2 location;
        public BoundingBox Bounds
        {
            get
            {
                return new BoundingBox(new Vector3(location.X, location.Y + 18, 0),
                                        new Vector3(location.X + LadderWidth, location.Y + LadderHeight, 0));
            }
        }

        public BoundingBox Overhead
        {
            get
            {
                return new BoundingBox(new Vector3(location.X, location.Y - LadderOverhead, 0),
                                        new Vector3(location.X + LadderWidth, location.Y, 0));
            }
        }

        public Ladder(int x, int y)
        {
            location = new Vector2(x,y);
        }

        public void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(TextureManager.Textures["ladder"], location, Color.White);
        }

    }
}
